<?- include('./../../partials/header') -?>

  
    <div class="page">
        <div class="page-main">
           
            <?- include('./../../partials/nav') -?>
            <div class="app-content page-body">
                <div class="container">

                    <!--Page header-->
                    <div class="page-header">
                        <div class="page-leftheader">
                            <h4 class="page-title">ระบบบริหารจัดการคลัง</h4>
                            <ol class="breadcrumb pl-0">
                                <li class="breadcrumb-item"><a href="#">หน้าหลัก</a></li>
                                <li class="breadcrumb-item active" aria-current="page">รายการจัดส่งสินค้า</li>
                            </ol>
                        </div>
                    </div>
                    <!--End Page header-->



                    <!--Row-->
                    <div class="row">
                        <div class="col-xl-12 col-lg-12 col-md-12">
                            <div class="card ">
                                <div class="card-header">
                                    <h3 class="card-title">รายการจัดส่งสินค้า</h3>
                                    <div class="card-options ">
                                        <a href="#" class="card-options-collapse" data-toggle="card-collapse"><i class="fe fe-chevron-up"></i></a>
                                        <a href="#" class="card-options-remove" data-toggle="card-remove"><i class="fe fe-x"></i></a>
                                    </div>
                                </div>
                                <div class="mb-0">
                                    <div class="table-responsive">
                                    
                                        <table class="table mb-0 table-vcenter table-hover text-nowrap">
                                            <thead>
                                                <tr>
                                                    <th>เลขที่คำสั่งซื้อ</th>
                                                    <th>ชื่อ-นามสกุล</th>
                                                    <th>สถานะ</th>
                                                    <th>บริษัทขนส่ง</th>
                                                    <th>สินค้า</th>
                                                    <th>ราคา</th>
                                                    <th></th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <? if(data.rowCount > 0){
                                                    var row = data.rows;
                                                    for(var item in row) { 
                                                ?>   
    
                                                <tr>
                                                    <td></td>
                                                    <td><?= row[item].shipping_firstname?> <?= row[item].shipping_lastname?></td>
                                                    <td><span class="badge badge-pill <?= row[item].status_span?>"><?= row[item].status_name?></span></td>
                                                    <td><img src="../<?= row[item].courier_image?>" class="w-5 h-5" alt=""></td>
                                                    <td><?= row[item].product_name?></td>
                                                    <td><?= row[item].total_price?></td>
                                                    <td class="text-center align-middle">
                                                        <div class="btn-group align-top">
                                                            <a href="/orders/confirm_orders/<?= row[item].order_id?>" class="btn btn-sm btn-outline-primary badge" title="อัพเดทสถานะ"><i class="fe fe-external-link"></i></button>
                                                            <a href="/orders/detail/<?= row[item].order_id?>" class="btn btn-sm btn-outline-primary badge" type="button" title="รายละเอียดการส่งสินค้า"><i class="fe fe-file-text"></i></a>
                                                            <a href="/orders/invoice/<?= row[item].order_id?>" class="btn btn-sm btn-outline-primary badge" target="_blank"><i class="fe fe-file"></i></a>
                                                            <button class="btn btn-sm btn-outline-primary badge" type="button"><input type="checkbox" name="print" class="form-control" value="<?= row[item].order_id?>"></button>
                                                        </div>
                                                    </td>
                                                    </tr>
                                                <? }
                                            }else{ 
                                        ?> 
                                        <tr>
                                            <td colspan="5">ไม่มีรายการจัดส่ง</td>
                                        </tr>
                                        <? 
                                       } 
                                   ?>  
                                            </tbody>
                                        </table>
                                    </div>
                                    </div>
                            </div>
                        </div>
                    </div>
                    <!--End row-->

                </div>
            </div><!-- end app-content-->
        </div>

        <?- include('./../../partials/footer') -?>

    </div>

